summaryrefslogtreecommitdiff
path: root/tests/install
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2005-04-21 00:30:13 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2005-04-21 00:30:13 +0000
commit82e7b3c7cafe7f1806cea2c6aa08a5ff3aa85ef7 (patch)
tree626cae7d8f70f829c8e5cb42b8f172ba25898aa3 /tests/install
parent516e0734b5a177a61c04e9ec1a37a2730d29ecf2 (diff)
downloadcoreutils-82e7b3c7cafe7f1806cea2c6aa08a5ff3aa85ef7.tar.xz
Undo previous change.
(dd, dd2): New vars, which use $EXEEXT. All uses of dd and dd2 changed.
Diffstat (limited to 'tests/install')
-rwxr-xr-xtests/install/basic-121
1 files changed, 8 insertions, 13 deletions
diff --git a/tests/install/basic-1 b/tests/install/basic-1
index 6bbd66904..66a8e64e1 100755
--- a/tests/install/basic-1
+++ b/tests/install/basic-1
@@ -8,13 +8,6 @@ fi
dir=dir
file=file
-# Skip this test if we're on a non-POSIX platform where executables' names end
-# in .exe, or we have some other problem like that.
-cat ../../src/dd > /dev/null || {
- echo >&2 "$0: ../../src/dd is not readable, so can't run this test"
- exit 77
-}
-
pwd=`pwd`
tmp=inst-basic.$$
trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
@@ -41,10 +34,12 @@ test -f $file || fail=1
test -f $dir/$file || fail=1
# Make sure strip works.
-cp ../../../src/dd .
-cp dd dd2
+dd=dd$EXEEXT
+dd2=dd2$EXEEXT
+cp ../../../src/$dd . || fail=1
+cp $dd $dd2 || fail=1
-strip dd2 || \
+strip $dd2 || \
{
cat 1>&2 <<EOF
$0: WARNING!!!
@@ -56,12 +51,12 @@ EOF
# This test would fail with 3.16s when using versions of strip that
# don't work on read-only files (the one from binutils works fine).
-ginstall -s -c -m 555 dd $dir || fail=1
+ginstall -s -c -m 555 $dd $dir || fail=1
# Make sure the source file is still around.
-test -f dd || fail=1
+test -f $dd || fail=1
# Make sure that the destination file has the requested permissions.
-set X `ls -l $dir/dd`
+set X `ls -l $dir/$dd`
shift
test "$1" = -r-xr-xr-x || fail=1